import { SerializerFunction, DeserializerFunction } from '@src/utils';
import { Ref } from '@src/api';
export interface UseLocalStorageOptions {
    isParsing: boolean;
    serializer?: SerializerFunction;
    deserializer?: DeserializerFunction;
}
export declare function useLocalStorage(key: string, options?: UseLocalStorageOptions, runOnMount?: boolean): {
    item: Ref<any>;
    getItem: () => void;
    setItem: (newVal: any) => void;
    removeItem: () => void;
};
